
/*******************************************************************************
* Copyright (c) 2017 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#include "aboutdialog.h"
#include <QDebug>

AboutDialog::AboutDialog(QWidget * parent):
    QDialog(parent),
    ui(new Ui::AboutDialog)
{
    qDebug() << "AboutDialog::AboutDialog begin";
    ui->setupUi(this);
    this->setModal(true);
    
#if QT_VERSION >= 0x050000
    // Qt5 code
#else
// Qt4 code

#endif

}

AboutDialog::~AboutDialog()
{
    qDebug() << "AboutDialog::~AboutDialog";
    delete ui;
    
    qDebug() << "AboutDialog::~AboutDialog end";
}
